/*
 * intbycpu.d - interrupts by CPU.
 *              Written using DTrace (Solaris 10 3/05).
 *
 * $Id: intbycpu.d 3 2007-08-01 10:50:08Z brendan $
 *
 * FIELDS:
 *	CPU	CPU number
 *	INTERRUPTS	number of interrupts in sample
 *
 * This is based on a DTrace OneLiner from the DTraceToolkit.
 *
 * COPYRIGHT: Copyright (c) 2005, 2006 Brendan Gregg.
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * 15-May-2005	Brendan Gregg	Created this.
 * 20-Apr-2006	   "      "	Last update.
 * 05-Nov-2008	Tom Erickson	Adapted for use with Chime.
 */

/*
 * Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 */

sdt:::interrupt-start { @num[cpu] = count(); @tot[cpu] = count(); }
